/***

Copyright 2011-2012 Carlos Moreno Munoz

This file is part of Vands.

Vands is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Foobar is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with Foobar.  If not, see <http://www.gnu.org/licenses/>.
****/

function raton_liberado(evento) {

	if(!blok){
		if(menu.boton_apuntado==2){ //LOGOUT
			bloquear();				
			grid.mark_grid(0,0,GRID_COLUMNS-1,GRID_ROWS-1);
			fadeout_alpha=0.0;
			url_redireccionar="/logout/";
		}else if(menu.boton_apuntado==1){ //TIENDA INTRUMENTOS
			bloquear();				
			grid.mark_grid(0,0,GRID_COLUMNS-1,GRID_ROWS-1);
			fadeout_alpha=0.0;
			url_redireccionar="/tienda_instrumentos/";
		}else if(menu.boton_apuntado==0){ //BANDS
			bloquear();				
			grid.mark_grid(0,0,GRID_COLUMNS-1,GRID_ROWS-1);
			fadeout_alpha=0.0;
			url_redireccionar="/room/";
		}else if(dialogo.tag!=-1){
			if(dialogo.opcion_apuntada==0){ //ACEPTAR BORRAR MIEMBRO / BANDA
				bloquear();
				grid.mark_grid(0,0,GRID_COLUMNS-1,GRID_ROWS-1);
				fadeout_alpha=0.0;
				if(dialogo.tag==TAG_ELIMINAR_MIEMBRO)
					url_redireccionar="borrar_miembro_"
						+ bandas.bandas[bandas.banda_destacada].members[bandas.bandas[bandas.banda_destacada].opcion_destacada].id
						+"_"+bandas.bandas[bandas.banda_destacada].id;
				else if(dialogo.tag==TAG_ELIMINAR_BANDA)
					url_redireccionar="borrar_banda_"+bandas.bandas[bandas.banda_destacada].id;					
			}
			dialogo.tag=-1;
		}else if(bandas.banda_destacada!=-1){
			if(!banda_centrada){  //CENTRAR BANDA
				for(i=0;i<bandas.bandas.length;i++)
					if(i==bandas.banda_destacada)
						bandas.bandas[i].centrar=1;
					else
						bandas.bandas[i].desvanecer=1;
						
				banda_centrada=1;
			}else if(bandas.opcion_destacada==1){ //VOLVER A BANDAS
				for(i=0;i<bandas.bandas.length;i++){
					bandas.bandas[i].centrar=0;
					bandas.bandas[i].desvanecer=0;
				}
				bandas.bandas[bandas.banda_destacada].descentrar=1;
				banda_centrada=0;
			}else if(bandas.opcion_destacada==0){ //NUEVO MIEMBRO
				bloquear();				
				grid.mark_grid(0,0,GRID_COLUMNS-1,GRID_ROWS-1);
				fadeout_alpha=0.0;
				username=cadena_a_ascii(document.formulario.texto_mensaje.value);
				url_redireccionar="confirmar_miembro_"+username+"_"+bandas.bandas[bandas.banda_destacada].ascii_name.obtener_texto();
			}else if(bandas.bandas[bandas.banda_destacada].opcion_destacada!=-1){ //ELIMINAR MIEMBRO
				if(bandas.bandas[bandas.banda_destacada].members.length==1)
					lanzar_dialogo(ANCHURA_VENTANA/2-150,ALTURA_VENTANA/2-100,TAG_ELIMINAR_BANDA);
				else
					lanzar_dialogo(ANCHURA_VENTANA/2-150,ALTURA_VENTANA/2-100,TAG_ELIMINAR_MIEMBRO);
			}
		}else if(boton_horario.apuntado){ //HORARIO
			bloquear();				
			grid.mark_grid(0,0,GRID_COLUMNS-1,GRID_ROWS-1);
			fadeout_alpha=0.0;
			url_redireccionar="/horario";			
		}else if(boton_nueva_banda.apuntado){ //NUEVA BANDA
			bloquear();				
			grid.mark_grid(0,0,GRID_COLUMNS-1,GRID_ROWS-1);
			fadeout_alpha=0.0;
			nombre=cadena_a_ascii(document.formulario.texto_mensaje.value);
			url_redireccionar="nueva_banda_"+nombre;
		}
		
		//Ya no estamos arrastrando el raton
		down=0;
		down_time=0;
	}
}

function raton_movido(evento){

	if(!blok){
    
		//Adaptamos las coordenadas del evento
		var x_evento=adaptar_x_evento(evento);
		var y_evento=adaptar_y_evento(evento);
		
		//Estamos arastrando el raton
		if(y_evento<MENU_MARGIN){
			//Desplegamos el menu
			menu.estado=DESPLEGAR_MENU;
			//Destacamos los botones del menu
			menu.destacar_botones(x_evento,y_evento);
		}else{
			//Stop pointing the menu button
			menu.boton_apuntado=-1;
			//Replegamos el menu
			if(menu.estado==DESPLEGAR_MENU) menu.estado=REPLEGAR_MENU;
			if(dialogo.tag!=-1){
				//Destacamos las opciones del dialogo
				dialogo.destacar_opciones(x_evento,y_evento);
			}else{
				//Destacamos los botones
				if(bandas.bandas.length>0){
					boton_horario.destacar(x_evento,y_evento);
				}
				boton_nueva_banda.destacar(x_evento,y_evento);
				if(!banda_centrada && !boton_horario.apuntado){
						//Destacamos las bandas
						destacar_bandas(x_evento,y_evento);
				}else{
					//Destacamos las opciones de la banda
					destacar_opciones_banda(x_evento,y_evento);
					//Destacamos las opciones de cada miembro
					destacar_opciones_miembro(x_evento,y_evento);
				}
			}
		}
	}
}

function mouse_down(evento) {

	if(!blok){
		down=1;
	}
}